## golang-github-nicholas-fedor-shoutrrr 0.8.14

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.14-1) sid; urgency=medium

  * Merging upstream version 0.8.14.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Jun 2025 05:03:05 +0200

golang-github-nicholas-fedor-shoutrrr (0.8.13-1) sid; urgency=medium

  * Merging upstream version 0.8.13.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 May 2025 07:18:16 +0200

golang-github-nicholas-fedor-shoutrrr (0.8.9-2) sid; urgency=medium

  * Using codename instead of suitname in changelog.
  * Harmonizing upload need in initial changelog entry.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Wed, 28 May 2025 20:48:52 +0200

golang-github-nicholas-fedor-shoutrrr (0.8.9-1) sid; urgency=low

  * Initial upload to sid, needed for beszel.

 -- Daniel Baumann <daniel@debian.org>  Thu, 22 May 2025 10:16:47 +0200

## golang-github-nicholas-fedor-shoutrrr 0.12.0

=== Makefile ===
# Shoutrrr Makefile
# Comprehensive build, test, and deployment targets for the Shoutrrr project

# Variables
BINARY_NAME=shoutrrr
GO=go
DOCKER=docker
GORELEASER=goreleaser
GOLANGCI_LINT=golangci-lint-v2

# Default target
help: ## Show this help message
	@echo "Shoutrrr Project Makefile"
	@echo ""
	@echo "Available targets:"
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "  %-15s %s\n", $$1, $$2}' $(MAKEFILE_LIST)

# =============================================================================
# Development Targets
# =============================================================================

.PHONY: build test lint vet run setup install

build: ## Build the application binary
	$(GO) build -o bin/$(BINARY_NAME) ./...

test: ## Run all tests
	$(GO) test -timeout 30s -v -coverprofile coverage.out -covermode atomic ./...

lint: ## Run linter and fix issues
	$(GOLANGCI_LINT) run --fix --config build/golangci-lint/golangci.yaml ./...

vet: ## Run Go vet
	$(GO) vet ./...

fmt: ## Run formatter
	$(GOLANGCI_LINT) fmt --config build/golangci-lint/golangci.yaml ./...

run: ## Run the application
	$(GO) run ./...

install: ## Install the application
	$(GO) install ./...

# =============================================================================
# Dependency Management
# =============================================================================

.PHONY: mod-tidy mod-download

mod-tidy: ## Tidy and clean up Go modules
	$(GO) mod tidy

mod-download: ## Download Go module dependencies
	$(GO) mod download

# =============================================================================
# Documentation Targets
# =============================================================================

.PHONY: docs docs-setup docs-build docs-serve

docs: docs-setup docs-serve ## Build and serve documentation site for local development

docs-setup: ## Install Mkdocs dependencies
	cd build/mkdocs && pip install -r docs-requirements.txt

docs-gen: ## Generate service configuration documentation
	bash ./scripts/generate-service-config-docs.sh

docs-build: ## Build Mkdocs documentation site
	cd docs && mike build --config ../build/mkdocs/mkdocs.yaml

docs-serve: ## Serve Mkdocs documentation site locally
	cd docs && mike serve --config ../build/mkdocs/mkdocs.yaml --dev-addr localhost:3000

# =============================================================================
# Release Targets
# =============================================================================

.PHONY: release

release: ## Create a new release using GoReleaser
	$(GORELEASER) release --clean

# =============================================================================
# Docker Targets
# =============================================================================

.PHONY: docker-build docker-run docker-push

docker-build: ## Build Docker image
	$(DOCKER) build -t $(BINARY_NAME) .

docker-run: ## Run Docker container
	$(DOCKER) run -p 8080:8080 $(BINARY_NAME)

docker-push: ## Push Docker image (requires proper tagging)
	$(DOCKER) push $(BINARY_NAME)

# =============================================================================
# Utility Targets
# =============================================================================

.PHONY: clean

clean: ## Clean build artifacts
	rm -rf bin/

## golang-github-nicholas-fedor-shoutrrr 0.8.15

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.15-1) sid; urgency=medium

  * Merging upstream version 0.8.15.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Jun 2025 07:01:51 +0200

=== debian/control ===
Source: golang-github-nicholas-fedor-shoutrrr
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-fatih-color-dev,
 golang-github-jarcoal-httpmock-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-onsi-ginkgo-v2-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-gomega-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/nicholas-fedor/shoutrrr
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
Vcs-Git: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/nicholas-fedor/shoutrrr

Package: golang-github-nicholas-fedor-shoutrrr-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Notification library for Watchtower (Go library)
 shoutrrr is a Go library for notifications inspired by caronc/apprise.

=== debian/watch ===
version=4
https://github.com/nicholas-fedor/shoutrrr/tags .*/v?(\d.*)@ARCHIVE_EXT@

## golang-github-nicholas-fedor-shoutrrr 0.8.17

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.17-1) sid; urgency=medium

  * Merging upstream version 0.8.17.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:39:42 +0200

## golang-github-nicholas-fedor-shoutrrr 0.8.18

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.8.18-1) sid; urgency=medium

  * Merging upstream version 0.8.18.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:04:54 +0200

## golang-github-nicholas-fedor-shoutrrr 0.9.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.9.1-1) sid; urgency=medium

  * Merging upstream version 0.9.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Sep 2025 13:07:50 +0200

## golang-github-nicholas-fedor-shoutrrr 0.10.0

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.10.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.10.0.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Sep 2025 18:40:22 +0200

## golang-github-nicholas-fedor-shoutrrr 0.10.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.10.1-1) sid; urgency=medium

  * Merging upstream version 0.10.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Oct 2025 18:05:49 +0200

## golang-github-nicholas-fedor-shoutrrr 0.10.3

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.10.3-1) sid; urgency=medium

  * Merging upstream version 0.10.3.

 -- Daniel Baumann <daniel@debian.org>  Sat, 18 Oct 2025 06:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  golang-golang-x-net-dev,
  golang-golang-x-oauth2-google-dev,
  golang-gomega-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/nicholas-fedor/shoutrrr
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr

## golang-github-nicholas-fedor-shoutrrr 0.11.0

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.11.0-1) sid; urgency=medium

  * Merging upstream version 0.11.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Oct 2025 17:07:14 +0100

## golang-github-nicholas-fedor-shoutrrr 0.11.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.11.1-1) sid; urgency=medium

  * Merging upstream version 0.11.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:47:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	# removing unused files
	rm -rf debian/golang-github-nicholas-fedor-shoutrrr-dev/usr/bin

override_dh_auto_test:
	# disabled (needs upstream fixes)overri

=== debian/watch ===
Version: 5

Template: Github
Owner: nicholas-fedor
Project: shoutrrr

## golang-github-nicholas-fedor-shoutrrr 0.12.0

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.12.0-1) sid; urgency=medium

  * Merging upstream version 0.12.0.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2025 10:00:38 +0100

## golang-github-nicholas-fedor-shoutrrr 0.12.1

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 GO=go
 DOCKER=docker
 GORELEASER=goreleaser
-GOLANGCI_LINT=golangci-lint-v2
+GOLANGCI_LINT=golangci-lint
 
 # Default target
 help: ## Show this help message

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.12.1-1) sid; urgency=medium

  * Merging upstream version 0.12.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 28 Nov 2025 13:21:39 +0100

## golang-github-nicholas-fedor-shoutrrr 0.13.0

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 .PHONY: build test lint vet run setup install
 
 build: ## Build the application binary
-	$(GO) build -o bin/$(BINARY_NAME) ./...
+	bash ./scripts/build.sh
 
 test: ## Run all tests
 	$(GO) test -timeout 30s -v -coverprofile coverage.out -covermode atomic ./...
@@ -58,21 +58,27 @@
 # Documentation Targets
 # =============================================================================
 
-.PHONY: docs docs-setup docs-build docs-serve
+.PHONY: docs docs-setup docs-build docs-serve docs-activate docs-deactivate
 
 docs: docs-setup docs-serve ## Build and serve documentation site for local development
 
-docs-setup: ## Install Mkdocs dependencies
-	cd build/mkdocs && pip install -r docs-requirements.txt
+docs-setup: ## Create virtual environment and install Mkdocs dependencies
+	python3 -m venv shoutrrr-docs && chmod +x shoutrrr-docs/bin/activate && . shoutrrr-docs/bin/activate && pip install -r build/mkdocs/docs-requirements.txt
 
 docs-gen: ## Generate service configuration documentation
 	bash ./scripts/generate-service-config-docs.sh
 
-docs-build: ## Build Mkdocs documentation site
-	cd docs && mike build --config ../build/mkdocs/mkdocs.yaml
+docs-build: docs-gen ## Build Mkdocs documentation site
+	. shoutrrr-docs/bin/activate && mkdocs build --config-file build/mkdocs/mkdocs.yaml
 
 docs-serve: ## Serve Mkdocs documentation site locally
-	cd docs && mike serve --config ../build/mkdocs/mkdocs.yaml --dev-addr localhost:3000
+	. shoutrrr-docs/bin/activate && mkdocs serve --config-file build/mkdocs/mkdocs.yaml --livereload
+
+docs-activate: ## Activate the virtual environment for documentation
+	@echo "Run '. shoutrrr-docs/bin/activate' to activate the virtual environment."
+
+docs-deactivate: ## Show instructions to deactivate the virtual environment
+	@echo "Run 'deactivate' to exit the virtual environment."
 
 # =============================================================================
 # Release Targets

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.13.0-1) sid; urgency=medium

  * Merging upstream version 0.13.0.

 -- Daniel Baumann <daniel@debian.org>  Sun, 07 Dec 2025 07:27:21 +0100

## golang-github-nicholas-fedor-shoutrrr 0.13.1

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.13.1-1) sid; urgency=medium

  * Merging upstream version 0.13.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 12 Dec 2025 11:50:58 +0100

## golang-github-nicholas-fedor-shoutrrr 0.13.2

=== Makefile ===
--- 
+++ 
@@ -14,18 +14,39 @@
 	@echo ""
 	@echo "Available targets:"
 	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z_-]+:.*?## / {printf "  %-15s %s\n", $$1, $$2}' $(MAKEFILE_LIST)
+	@echo ""
+	@echo "Parameterized test targets:"
+	@echo "  test-unit                Run unit tests for a specific service (usage: make test-unit <service>)"
+	@echo "  test-integration         Run integration tests for a specific service (usage: make test-integration <service>)"
+	@echo "  test-e2e                 Run e2e tests for a specific service (usage: make test-e2e <service>)"
 
 # =============================================================================
 # Development Targets
 # =============================================================================
 
-.PHONY: build test lint vet run setup install
+.PHONY: build test test-unit test-integration test-e2e lint vet run setup install
 
 build: ## Build the application binary
 	bash ./scripts/build.sh
 
-test: ## Run all tests
-	$(GO) test -timeout 30s -v -coverprofile coverage.out -covermode atomic ./...
+test: ## Run unit tests only
+	$(GO) test -timeout 30s -v -coverprofile coverage.out -covermode atomic $(shell go list ./... | grep -v testing/...)
+
+test-unit: ## Run unit tests for a specific service (usage: make test-unit <service>)
+	@SVC=`echo $(MAKECMDGOALS) | cut -d' ' -f2`; \
+	if [ -z "$$SVC" ]; then echo "Usage: make test-unit <service>"; exit 1; fi; \
+	SERVICE_DIR=`find ./pkg/services -name "$$SVC" -type d`; \
+	$(GO) test -timeout 30s -v $$SERVICE_DIR
+
+test-integration: ## Run integration tests for a specific service (usage: make test-integration <service>)
+	@SVC=`echo $(MAKECMDGOALS) | cut -d' ' -f2`; \
+	if [ -z "$$SVC" ]; then echo "Usage: make test-integration <service>"; exit 1; fi; \
+	$(GO) test -timeout 30s -v ./testing/integration/$$SVC
+
+test-e2e: ## Run e2e tests for a specific service (usage: make test-e2e <service>)
+	@SVC=`echo $(MAKECMDGOALS) | cut -d' ' -f2`; \
+	if [ -z "$$SVC" ]; then echo "Usage: make test-e2e <service>"; exit 1; fi; \
+	$(GO) test -timeout 30s -v ./testing/e2e/$$SVC
 
 lint: ## Run linter and fix issues
 	$(GOLANGCI_LINT) run --fix --config build/golangci-lint/golangci.yaml ./...
@@ -112,3 +133,7 @@
 
 clean: ## Clean build artifacts
 	rm -rf bin/
+
+.PHONY: %
+%:
+	@:

=== debian/changelog ===
golang-github-nicholas-fedor-shoutrrr (0.13.2-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 0.13.2.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Feb 2026 06:46:58 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  golang-golang-x-net-dev,
  golang-golang-x-oauth2-google-dev,
  golang-gomega-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nicholas-fedor/shoutrrr
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
 Vcs-Git: https://forgejo.debian.net/golang/golang-github-nicholas-fedor-shoutrrr
